Scilab Function
Last update : 00/00/0000

sva - approximation de valeurs singulières

### Calling Sequence

  `[U,s,V]=sva(A,k)`
  `[U,s,V]=sva(A,tol)`

### Parameters

- `A` : matrice réelle ou complexe
- `k` : entier
- `tol` : nombre réel positif

### Description

Approximation de valeurs singulières.

`[U,S,V]=sva(A,k)` avec `k` un entier >=1, renvoie `U,S` et `V` telles que `B=U*S*V'` est la meilleure approximation au sens l_2 de `A` avec rang(`B`)=`k`.

`[U,S,V]=sva(A,tol)` où `tol` est un réel positif, renvoie `U,S` et `V` tels que `B=U*S*V'` et la norme l_2 de `A-B` est inférieure à `tol`.

### Examples

    A=rand(5,4)*rand(4,5);
    [U,s,V]=sva(A,2);
    B=U*s*V';
    svd(A)
    svd(B)
    clean(svd(A-B))

### See Also

`svd`,